"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const labelsJsonFile = require("../misc/labels_map.json");
const labelsMap = labelsJsonFile;
class EfficientNetResult {
    constructor(values) {
        this.result = [];
        const arr = Array.from(values);
        const topValues = values.sort((a, b) => b - a).slice(0, 3);
        const indexes = topValues.map((e) => arr.indexOf(e));
        const sum = topValues.reduce((a, b) => {
            return a + b;
        }, 0);
        indexes.forEach((value, index) => {
            this.result.push({
                label: labelsMap[value],
                precision: (topValues[index] / sum) * 100,
            });
        });
    }
}
exports.default = EfficientNetResult;
